/* date = August 14th 2023 5:00 pm */

#ifndef VN_SCENE_VIEW_H
#define VN_SCENE_VIEW_H

struct textbox
{
    string String;
    s64 Capacity;
    r32 CharsRevealed;
};

struct scene_view
{
    memory_arena *SceneArena;
    
    scene_runtime Runtime;
    textbox Textbox;
    render_handle BackgroundTexture;
};

static void SV_SetState(scene_view *View);
static scene_view *SV_GetState();
static void SV_SetCurrentSource(compiled_scene *Compiled);
static void SV_Init(scene_view *View, memory_arena *TextboxArena);
static void SV_BuildSceneView(vn_input *Input);

#endif //VN_SCENE_VIEW_H
